Package org.jboss.resteasy.plugins.providers.sse

## Class SseEventInputImpl

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.sse.SseEventInputImpl

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `EventInput`

      public class SseEventInputImpl
      extends Object
      implements EventInput, Closeable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SseEventInputImpl​(Annotation[] annotations, javax.ws.rs.core.MediaType streamType, javax.ws.rs.core.MediaType elementType, javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders, InputStream inputStream)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `boolean` | `isClosed()` |
    `javax.ws.rs.sse.InboundSseEvent` | `read()` |
    `javax.ws.rs.sse.InboundSseEvent` | `read​(javax.ws.rs.ext.Providers providers)` |
    `byte[]` | `readEvent​(InputStream in)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SseEventInputImpl

          public SseEventInputImpl​(Annotation[] annotations,
                                   javax.ws.rs.core.MediaType streamType,
                                   javax.ws.rs.core.MediaType elementType,
                                   javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders,
                                   InputStream inputStream)

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Throws:
        `IOException`

    - #### isClosed

          public boolean isClosed()

    - #### read

          public javax.ws.rs.sse.InboundSseEvent read()
                                               throws IOException

      Throws:
        `IOException`

    - #### read

          public javax.ws.rs.sse.InboundSseEvent read​(javax.ws.rs.ext.Providers providers)
                                               throws IOException

      Throws:
        `IOException`

    - #### readEvent

          public byte[] readEvent​(InputStream in)
                           throws IOException

      Throws:
        `IOException`